Skip to main content
POST
/
api
/
tools
/
call
Call customer intelligence tool
curl --request POST \
  --url https://app.outlit.ai/api/tools/call \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tool": "outlit_search_customer_context",
  "input": {
    "customer": "acme.com",
    "query": "What renewal concerns came up recently?",
    "topK": 5
  }
}
'
{}

Authorizations

Authorization
string
header
required

Outlit API key using the Bearer ok_... format.

Body

application/json
tool
enum<string>
required

Customer intelligence tool name from @outlit/tools.

Available options:
outlit_list_customers,
outlit_list_users,
outlit_list_workspace_users,
outlit_get_customer,
outlit_get_timeline,
outlit_list_facts,
outlit_get_fact,
outlit_get_source,
outlit_list_sources,
outlit_search_customer_context,
outlit_query,
outlit_schema,
outlit_send_notification
input
object

Tool-specific input object validated against the shared @outlit/tools contract.

Response

Tool-specific JSON result.

The response is of type object.